> ## Documentation Index
> Fetch the complete documentation index at: https://student-213fb9fc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取抓取状态



## OpenAPI

````yaml zh/api-reference/v2-openapi.json get /crawl/{id}
openapi: 3.0.0
info:
  title: Firecrawl API
  version: v2
  description: 用于与 Firecrawl 服务交互，执行网页抓取和爬取任务的 API。
  contact:
    name: Firecrawl Support
    url: https://firecrawl.dev/support
    email: support@firecrawl.dev
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /crawl/{id}:
    parameters:
      - name: id
        in: path
        description: 爬取任务的 ID
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Crawling
      summary: 获取爬取任务状态
      operationId: getCrawlStatus
      responses:
        '200':
          description: 成功的响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrawlStatusResponseObj'
        '402':
          description: 需要付费
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Payment required to access this resource.
        '429':
          description: 请求过于频繁
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: >-
                      Request rate limit exceeded. Please wait and try again
                      later.
        '500':
          description: 服务器错误
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred on the server.
      security:
        - bearerAuth: []
components:
  schemas:
    CrawlStatusResponseObj:
      type: object
      properties:
        status:
          type: string
          description: 当前爬取任务的状态。状态可能为 `scraping`、`completed` 或 `failed`。
        total:
          type: integer
          description: 尝试爬取的页面总数。
        completed:
          type: integer
          description: 已成功爬取的页面数量。
        creditsUsed:
          type: integer
          description: 本次爬取所使用的积分数量。
        expiresAt:
          type: string
          format: date-time
          description: 此抓取任务的到期日期和时间。
        next:
          type: string
          nullable: true
          description: 用于获取后续 10MB 数据的 URL。当抓取尚未完成，或响应内容超过 10MB 时，会返回该字段。
        data:
          type: array
          description: 本次爬取的数据。
          items:
            type: object
            properties:
              markdown:
                type: string
              html:
                type: string
                nullable: true
                description: 如果 `includeHtml` 为 true，则返回页面内容的 HTML 版本
              rawHtml:
                type: string
                nullable: true
                description: 如果 `includeRawHtml` 为 true，则为页面的原始 HTML 内容
              links:
                type: array
                items:
                  type: string
                description: 如果 `includeLinks` 为 true，则包含页面上的链接列表
              screenshot:
                type: string
                nullable: true
                description: '`includeScreenshot` 为 true 时的页面截图'
              metadata:
                type: object
                properties:
                  title:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: 从页面提取的标题，可以是字符串或字符串数组。
                  description:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: 从页面提取的描述，可以是字符串或字符串数组
                  language:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    nullable: true
                    description: 从页面中提取的语言，可以是一个字符串或字符串数组
                  sourceURL:
                    type: string
                    format: uri
                    description: 初始请求的 URL。如果发生重定向，可能与页面的最终 URL 不同。
                  url:
                    type: string
                    format: uri
                    description: 跟随所有重定向后得到的页面最终 URL。
                  keywords:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: 从页面中提取的关键词，可以是字符串或字符串数组
                  ogLocaleAlternate:
                    type: array
                    items:
                      type: string
                    description: 此页面的其他本地化版本
                  '<any other metadata> ':
                    type: string
                  statusCode:
                    type: integer
                    description: 页面状态码
                  error:
                    type: string
                    nullable: true
                    description: 页面错误信息
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````